include ../pandoc-opts.mk

SOURCES		= tutorial.md \
		    ../containers/overview.md \
		    ../docker-basis/discover.md ../docker-basis/installation.md ../docker-basis/what.md ../docker-basis/first.md ../docker-basis/cleaning.md ../docker-basis/ex-flask.md \
		    ../docker-basis/volumes.md \
		    ../docker-basis/ex-flask-volume.md \
		    ../docker-basis/linking.md \
		    ../docker-basis/ex-flask-s3.md \
		    ../docker-basis/debug.md \

SOURCES_COURSE	= tutorial.md \
		    ../containers/overview.md \
		    ../docker-basis/discover.md ../docker-basis/installation.md ../docker-basis/what.md ../docker-basis/first.md ../docker-basis/cleaning.md \
		    ../docker-basis/volumes.md \
		    ../docker-basis/linking.md \

SOURCES_TUTO	= tutorial.md \
		    ../header-tp.md \
		    ../docker-basis/ex-flask.md \
		    ../docker-basis/ex-flask-volume.md \
		    see-fun-for-more.md \
		    ../new-page.md \
		    ex2.md \
		    ../docker-basis/ex-owncloud.md ../docker-basis/linking-ex-help.md \

SOURCES_TUTOFUN	= tutorial.md \
		    ../header-tp-fun.md \
		    note-tp-fun.md \
		    ../docker-basis/ex-flask.md \
		    ../docker-basis/ex-flask-volume.md \
		    ../docker-basis/ex-flask-s3.md \
		    ../docker-basis/linking-ex-help.md \

SOURCES_PROJECT	= tutorial.md \
		    ../docker-advanced/what.md ../docker-advanced/setup.md ../docker-advanced/manual.md ../new-page.md ../docker-advanced/compose.md \
		  rendu.md


all: course.pdf tutorial.pdf tutorial-fun.pdf project.pdf

course.pdf: ${SOURCES_COURSE}
	pandoc ${PANDOCOPTS} -o $@ $+

tutorial.pdf: ${SOURCES_TUTO}
	pandoc ${PANDOCOPTS} -o $@ $+

tutorial-fun.pdf: ${SOURCES_TUTOFUN}
	pandoc ${PANDOCOPTS} -o $@ $+

project.pdf: ${SOURCES_PROJECT}
	pandoc ${PANDOCOPTS} -o $@ $+

clean::
	rm -f course.pdf tutorial.pdf tutorial-fun.pdf project.pdf
